man.font.links
Prev | Fonts | Next

## man.font.links

man.font.links — Specifies font for links

## Synopsis

    <xsl:param name="man.font.links">B</xsl:param>

## Description

The `man.font.links` parameter specifies the font for output of links (`ulink` instances and any instances of any element with an `xlink:href` attribute).

The value of `man.font.links` must be either `B` or `I`, or empty. If the value is empty, no font formatting is applied to links.

If you set `man.endnotes.are.numbered` and/or `man.endnotes.list.enabled` to zero (disabled), then you should probably also set an empty value for `man.font.links`. But if `man.endnotes.are.numbered` is non-zero (enabled), you should probably keep `man.font.links` set to `B` or `I`[5].

## Related Parameters

`man.endnotes.list.enabled`, `man.endnotes.are.numbered`

[5] The main purpose of applying a font format to links in most output formats it to indicate that the formatted text is “clickable”; given that links rendered in man pages are not “real” hyperlinks that users can click on, it might seem like there is never a good reason to have font formatting for link contents in man output.

In fact, if you suppress the display of inline link references (by setting `man.endnotes.are.numbered` to zero), there is no good reason to apply font formatting to links. However, if `man.endnotes.are.numbered` is non-zero, having font formatting for links (arguably) serves a purpose: It provides “context” information about exactly what part of the text is being “annotated” by the link. Depending on how you mark up your content, that context information may or may not have value.

Prev | Up | Next
man.font.funcsynopsisinfo | Home | man.font.table.headings